Skip to main content

Direct Upload

PUT 

/v1/direct_upload/:file_name

This endpoint redirects to a Azure blob with SAS token for direct upload.

Recommended for small files that can be uploaded in one request. Use /create_upload_session for larger files to upload in chunks.

Requires a valid api_key as parameter access_token in the header.

Model name as a query parameter 'model' is required to specify the model to use for processing. Supported models are: syn, blur

Model parameters can be passed as query parameters. For example: &enable_lp=True&blur_threshold=0.5&lp_track=True&slicing=True&mask_blur=True

Requires "x-ms-blob-type" header to be set to "BlockBlob".

Supported video formats are: .mp4, .mkv, .webm, .ts, .mov, .avi, .mts

Supported image formats are: .jpg, .png, .jpeg, .bmp

Supported archive formats are: .zip, .rar, .7z

Nesting of archives is not supported. Files inside archives must be on the root level. Max upload size is 4294967295 bytes.

Job_id will be returned in the header.

Refer to Azure Blob Storage documentation for more information on supported upload methods.

The session_uri will expire after 7 days.

Request

Responses

Successful Response